<div class="change-vars">
  <ngb-tabset>
    <ngb-tab>
      <ng-template ngbTabTitle>DataGrid</ng-template>
      <ng-template ngbTabContent>

        <button type="button" class="btn btn-primary" (click)="testFilter()">Test Filter</button>

        <nr-grid [options]="gridOptions" [(rowFilter)]="gridFilter" (onFilterChanged)="filterChangedOld($event)"></nr-grid>
      </ng-template>
    </ngb-tab>
    <ngb-tab>
      <ng-template ngbTabTitle>Select</ng-template>
      <ng-template ngbTabContent>
        <div style="margin: 30px;">
          <div style="width: 300px">
            <nr-select [data]="data" [options]="selectOptions" label="Select One" [(submitted)]="submitted" [(value)]="selectValue" ></nr-select>
          </div>
          {{selectValue}}
          <button (click)="changeVal()">Click me</button>
          <button (click)="submitted = true">Send Me</button>
        </div>
      </ng-template>
    </ngb-tab>
    <ngb-tab>
      <ng-template ngbTabTitle>Select with Remote Data</ng-template>
      <ng-template ngbTabContent>
        <div style="margin: 30px;">
          <div style="padding: 50px">
            <nr-select [options]="selectOptions2" label="Searchable on type" [(value)]="selectValue2" (valueChange)="changed($event)" ></nr-select>
          </div>
          {{selectValue2}}
        </div>
      </ng-template>
    </ngb-tab>
  </ngb-tabset>
  <router-outlet></router-outlet>
</div>
